Bug 841542 - virt-v2v need document can not convert guest to pool with iscsi/mpath/scsi type
virt-v2v need document can not convert guest to pool with iscsi/mpath/scsi type
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-V2V_Guide (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Laura Novich
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 06:55 EDT by tingting zheng
Modified: 2016-01-26 20:55 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 07:10:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2012-07-19 06:55:16 EDT
Description of problem:
Until now,libvirt doesn't support create storage volume in pool with iscsi/mpath/scsi type,so when using virt-v2v to convert guests to these types of pool,error occurs:Error:virt-v2v: Failed to create storage volume: libvirt error code: 3, message:this function is not supported by the connection driver: storage pool does not support volume creation,which need to be documented.

Version-Release number of selected component (if applicable):
virt-v2v-0.8.7-6.el6.x86_64
libvirt-0.9.10-21.el6_3.3.x86_64
libguestfs-1.16.19-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.Create pool which type is iscsi/scsi/mpath.

2.Use virt-v2v to create a guest to that pool.
# virt-v2v -ic qemu+ssh://10.66.72.122/system -os iscsi kvm-rhel6.2-x86_64
root@10.66.72.122's password:
virt-v2v: Failed to create storage volume: libvirt error code: 3, message: this function is not supported by the connection driver: storage pool does not support volume creation


Actual results:
Error occurs as step2 describes when converting guests to pool which type is iscsi/scsi/mpath,and no such issue has been documented.

Expected results:
The issue need be documented in virt-v2v manual or guide.

Additional info:
Comment 2 Laura Novich 2012-11-01 09:42:25 EDT
This issue is a known issue that is not being fixed in the current version.
Adding a note indicating known limitation.
Comment 3 Laura Novich 2012-11-01 11:11:00 EDT
Added the following text to the trouble shooting section
	<title>Known issue with iscsi/mpath/scsi storage volumes</title>
	<para>It is not possible at the moment with virt-v2v to convet a guest with a storage volume in a pool of any of the following types:</para>
	   <itemizedlist>
	      <listitem><para>iscsi </para></listitem>
	      <listitem><para>mpath</para></listitem>
	      <listitem><para>scsi</para></listitem>
	   </itemizedlist>
	<para>Converting such a guest results in a failed conversion. There is no workaround for this issue</para>
Comment 4 Laura Novich 2012-11-01 11:21:17 EDT
ok after speaking w/Matthew Booth, made another change
Comment 5 Laura Novich 2012-11-01 11:31:12 EDT
fixed in version 11-22
Comment 9 Laura Novich 2013-02-25 07:10:18 EST
closed - this fix is included in the RHEL 6.4 release

Note You need to log in before you can comment on or make changes to this bug.